digiKam Developer Documentation: Digikam::DImgFilterGenerator Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DImgFilterGenerator Class Referenceabstract
Inheritance diagram for Digikam::DImgFilterGenerator:

## Public Member Functions
virtual DImgThreadedFilter * | createFilter (const QString &filterIdentifier, int version)=0
| Create the filter for the given combination of identifier and version.
virtual QString | displayableName (const QString &filterIdentifier)=0
virtual bool | isSupported (const QString &filterIdentifier)
| Convenience methods.
virtual bool | isSupported (const QString &filterIdentifier, int version)
virtual QStringList | supportedFilters ()=0
virtual QList< int > | supportedVersions (const QString &filterIdentifier)=0

## Member Function Documentation

## ◆ createFilter()

virtual DImgThreadedFilter * Digikam::DImgFilterGenerator::createFilter | ( | const QString & | filterIdentifier,
|  | int | version
| ) |  |
| pure virtual

Implemented in Digikam::BasicDImgFilterGenerator< T >, and Digikam::DImgFilterManager.

## ◆ displayableName()

virtual QString Digikam::DImgFilterGenerator::displayableName | ( | const QString & | filterIdentifier | ) |
| pure virtual

Returns
  A QString with filter name for displaying in views

Implemented in Digikam::BasicDImgFilterGenerator< T >, and Digikam::DImgFilterManager.

## ◆ isSupported()

bool Digikam::DImgFilterGenerator::isSupported | ( | const QString & | filterIdentifier | ) |
| virtual

Reimplemented in Digikam::DImgFilterManager.

## ◆ supportedFilters()

virtual QStringList Digikam::DImgFilterGenerator::supportedFilters | ( |  | ) |
| pure virtual

Returns
  A list with identifiers of supported filters

Implemented in Digikam::BasicDImgFilterGenerator< T >, and Digikam::DImgFilterManager.

## ◆ supportedVersions()

virtual QList< int > Digikam::DImgFilterGenerator::supportedVersions | ( | const QString & | filterIdentifier | ) |
| pure virtual

Returns
  A list with the supported versions for the given identifier

Implemented in Digikam::BasicDImgFilterGenerator< T >, and Digikam::DImgFilterManager.